Subject: Re: bug#9579: distcheck does not detect incomplete uninstall as advertised

From: Stefano Lattarini <[email-masked]>
Date: Sat, 24 Sep 2011 15:36:23 +0200

Hi Eric, thanks for the quick review.

On Friday 23 September 2011, Eric Blake wrote:
> On 09/23/2011 01:46 PM, Stefano Lattarini wrote:
> > Apparently, it was a simple bug.  Attached is the patch I'll push to maint
> > in a couple of days to fix it.  As usual, reviews welcome.
> > 
> > +++ b/lib/am/distdir.am
> > @@ -516,16 +516,27 @@ distcheck: dist
> >  ## from distcheck, so that they can be overridden by the user.
> >  .PHONY: distuninstallcheck
> >  distuninstallcheck_listfiles = find . -type f -print
> > +## The `dir' file (created by install-info) might still exist after
> > +## uninstall, so we must be prepared to account for it.  The following
> > +## check assumes that the package author hasn't changed ${infodir} nor
> > +## ${datarootdir} in strange ways; if he has done so, then he should be
> > +## prepared to define a custom $(distuninstallcheck_listfiles) as well.
> > +## Also, this check is slighlty laxer than we'd like, but obtaining a
> 
> s/slighlty/slightly/
> 
> s/ a$//
> 
Consider these fixed.  I've also bumped the copyright years in
`lib/am/distdir.am' (I had forgotten to do so in the previous version
of the patch).

I will push by tomorrow if there is no objection by then.

Thanks,
  Stefano